<?php

// TRANSLATION

load_theme_textdomain( 'darkSpirit', get_template_directory() . '/languages' );

// END

add_theme_support(' post-thumbnails' );
set_post_thumbnail_size( 150, 150 );
register_nav_menu( 'primary', 'Primary Menu' );
 add_editor_style();

// Comment Form

function my_fields($fields) {

// Text des Namensfeldes ändern
$fields['author'] = '<p class="comment-form-author">' . '<label for="author">' . __( 'Name*', 'darkSpirit' ) . '</label></br><input class="text" id="author" name="author" type="text" value="" size="30" /></p>';

// Text des E-Mail-Feldes ändern
$fields['email'] = '<p class="comment-form-email"><label for="email">' . __( 'E-Mai*', 'darkSpirit' ) . '</label></br><input class="text" id="email" name="email" type="text" value="" size="30" /></p>';

// Text des Webseitenfeldes ändern
$fields['url'] = '<p class="comment-form-url"><label for="url">' . __( 'Website', 'darkSpirit' ) . '</label></br>' .
'<input class="text" id="url" name="url" type="text" value="" size="30" /></p>';

return $fields; 
}
add_filter('comment_form_default_fields','my_fields');


// Comment Form

// Sidebar


if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Widget1',
'before_widget' => '',
'after_widget' => '</div>',
'before_title' => '<div id="sidebar-widget"><h3>',
'after_title' => '</h3></p>',
));

// Functions page

add_action( 'admin_init', 'theme_options_init' );

function theme_options_init(){
	register_setting( 'darkspirit_options', 'darkspirit_theme_options', 'darkspirit_validate_options' );
}


function darkspirit_version_checker() {
  $xml = simplexml_load_file('http://fimply.com/themes/darkspirit/updatedata/updates.xml');
   $version_online = $xml->build[0];
   $version_online_real = $xml->version[0];
   $version_changelog = $xml->changelog[0];
      include(get_stylesheet_directory() . '/version.php');
   
   
   if ( $current_version_offline < $version_online ) {
	   echo "Du benutzt aktuell Version <b>";echo $current_version_offline_real;echo "</b>.";echo " <b>";echo $version_online_real;echo "</b> ist jetzt verf&uuml;gbar! Aktualisiere jetzt! ACHTUNG: Der Update Vorgang kann mehrere Minuten dauern. ";
   }
   else {
   
   echo $current_version_offline_real; }
}

function darkspirit_name() {
    $xml = simplexml_load_file('http://fimply.com/themes/darkspirit/updatedata/updates.xml');
   $version_online = $xml->build[0];
   $version_online_real = $xml->version[0];
   $version_changelog = $xml->changelog[0];
   include(get_stylesheet_directory() . '/version.php');
   
   if ( $current_version_offline < $version_online ) {
	   return "Theme Updates (1)";
   }
   else {
   
   return "Theme Updates"; }
}

function darkspirit_update_button() {
   $xml = simplexml_load_file('http://fimply.com/themes/darkspirit/updatedata/updates.xml');
   $version_online = $xml->build[0];
   $version_online_real = $xml->version[0];
   $version_changelog = $xml->changelog[0];
   include(get_stylesheet_directory() . '/version.php');
   $pfad2 = "../wp-content/themes/darkSpirit/update.php";
   
   if ( $current_version_offline < $version_online ) {
	   echo '<p><a style="text-decoration:none;color:#fff;" href="'.$pfad2.'"><div style="background: -webkit-linear-gradient(#42E0FF 0%, #00A3EF 100%);font-family: Helvetica, Arial, sans-serif;font-weight:400;color:#fff;text-align: center;width:180px;font-size:18px;text-shadow: 0 -1px 0 #000;height:28px;padding:5px 0 0 0;border-radius:5px;box-shadow:inset 0 0 7px #ffffff;border: 1px solid #00598c;">'.__( 'Install Update', 'darkSpirit').'</div></a></p>';
	   echo '<p>'.$version_changelog.'</p>';
	  
	   
   }
   else {}
}










function darkspirit_comment($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment;
		extract($args, EXTR_SKIP);

		if ( 'div' == $args['style'] ) {
			$tag = 'div';
			$add_below = 'comment';
		} else {
			$tag = 'div';
			$add_below = 'div-comment';
		}
?>
		<<?php echo $tag ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
		<?php if ( 'div' != $args['style'] ) : ?>
		<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
		<?php endif; ?>
		<table><tr><td>
		<div class="comment-author vcard">
		<?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['avatar_size'] ); ?></td>
		<td class="comment_name"><?php printf(__('<cite class="fn">%s</cite>', 'darkSpirit'), get_comment_author_link()) ?> 
		<span class="comment_date"><?php
				/* translators: 1: date, 2: time */
				printf( __('%1$s at %2$s', 'darkSpirit'), get_comment_date(),  get_comment_time()) ?></span></td>
		
		</div></tr></table>


		<div class="comment_text">
		<?php if ($comment->comment_approved == '0') : ?>
		<em class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.', 'darkSpirit') ?></em></br>
		<?php endif; ?>
		
		<?php comment_text() ?>
		
		<div class="reply">
		<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?> <?php edit_comment_link(__('(Edit)', 'darkSpirit'),'  ','' );
			?>

		</div>

		</div>

				<?php if ( 'div' != $args['style'] ) : ?>
		</div><div style="clear:both;"></div>
		<?php endif; ?>
<?php
        }











add_action('admin_menu', 'darkspirit_create_menu');

function darkspirit_create_menu() {

$name = darkspirit_name();

	//create new top-level menu
	add_theme_page('darkSpirit Settings', 'darkSpirit', 'administrator', 'themeoptions', 'darkspirit_settings_page');
	add_theme_page('darkSpirit Upgrades', $name, 'administrator', 'darkspirit-updates', 'darkspirit_update_page');
	

	//call register settings function
	add_action( 'admin_init', 'register_mysettings' );
}


function darkspirit_update_page() { ?>

<html>
<head>
<link href="<?php echo get_stylesheet_directory() . '/css/options.css'; ?>" type="text/css" rel="stylesheet">
</head>
<body>
	<div id="line"></div>
	
	<?php if ( isset($_GET['darkspirit-updated']) ) : ?>
<div class="updated fade">
	<p><strong><?php _e( 'darkSpirit was successfully updated to version', 'darkSpirit'); ?> <i><?php include(get_stylesheet_directory() . '/version.php'); echo $current_version_offline_real; ?></i></strong></p>
</div>
<?php endif; ?>
	
	 <div class="adminitem">
  <p><h2><div class="font-size">Updates</div></h2></p>
  <table class="form-table">
    <tr valign="top">
        <th scope="row">Version</th>
        <td><?php darkspirit_version_checker(); ?>
        <?php darkspirit_update_button(); ?></td>
      </tr>
      </table>
      </div>
            
      
</body>
</html>

	
	<?php
}

function register_mysettings() {
	//register our settings
	register_setting( 'darkspirit-settings-group', 'new_option_name' );
	register_setting( 'darkspirit-settings-group', 'some_other_option' );
	register_setting( 'darkspirit-settings-group', 'option_etc' );
}


function darkspirit_settings_page() {
	global $select_options, $radio_options;
if ( ! isset( $_REQUEST['settings-updated'] ) )
	$_REQUEST['settings-updated'] = false;
?>
<?php $options = get_option( 'darkspirit_theme_options' ); ?>


<html>
<head>
<link rel="stylesheet" href="<?php echo get_stylesheet_directory() . '/css/options.css'; ?>" type="text/css" media="screen" />
</head>
<body>
<div class="wrap">

<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
<div class="updated fade">
	<p><strong><?php _e( 'The settings have been saved.', 'darkSpirit'); ?></strong></p>
</div>
<?php endif; ?>

  <form method="post" action="options.php">
	<?php settings_fields( 'elegantwhite_options' ); ?>
    <?php $options = get_option( 'elegantwhite_theme_options' ); ?>


<h2>elegantWhite Theme <?php _e( 'Settings', 'darkSpirit' ); ?></h2>







    <p class="submit"><input type="submit" class="button-primary" value="<?php _e( 'Save Settings', 'darkSpirit'); ?>" /></p>
  </form>
</div>
</body>
</html>

<?php } function darkspirit_validate_options( $input ) {



	return $input;
} ?>